var
  n, i, j: longint;
  s: string;
begin
  assign(output, '10');
  rewrite(output);

  s := 'ABCDE';
  for i := 1 to 100 - 5 do
    s := s + chr(ord('F') + (i - 1) mod 21);
  n := length(s);
  writeln(n);
  writeln(s);
  for i := 1 to 95 do
  begin
    for j := 1 to 6 do
      write(s[i + j - 1]);
    writeln;
  end;
  writeln('AAAAAA');
  writeln('BBBBBB');
  writeln('CCCCCC');
  writeln('DDDDDD');
  writeln('EEEEEE');
end.